Code::Blocks

User forums => Nightly builds => Topic started by: killerbot on November 21, 2015, 02:05:39 pm

Title: The 21 November 2015 build (10595) is out.
Post by: killerbot on November 21, 2015, 02:05:39 pm
Get quick announcements through the RSS feed http://www.codeblocks.org/nightly/CodeBlock_RSS.xml

Before you use a nightly make sure you understand how it works (http://forums.codeblocks.org/index.php/topic,3232.0.html).

A link to the unicode windows wxWidget dll for Code::Blocks : http://sourceforge.net/projects/codeblocks/files/Binaries/Nightlies/Prerequisites/wxmsw28u_gcc_cb_wx2812_gcc492-TDM.7z

For those who might need this one (when no MingW installed on your system) : the mingw10m.dll : http://sourceforge.net/projects/codeblocks/files/Binaries/Nightlies/Prerequisites/mingwm10_gcc492-TDM.7z

The 21 November 2015 build is out.
  - Windows :
   http://sourceforge.net/projects/codeblocks/files/Binaries/Nightlies/2015/CB_20151121_rev10595_win32.7z
  - Linux :
   none

The current SDK version is : 1.29.0

Resolved Fixed:


Regressions/Confirmed/Annoying/Common bugs:


Title: Re: The 21 November 2015 build (10595) is out.
Post by: eckard_klotz on December 01, 2015, 02:10:38 pm
Hello All.
 
I'm missing the compiler options for the build suite of normal not CPU specific gnu gcc. If I change the compile  for example to a microsoft or borland compiler the option pane is full of check-boxes but once I change back to gnu the pane is empty again. CPU specific gnu compilers are showing the options also.

It is the same, if I try to edit the options not for the project but in the compiler-settings over the settings nenu.

There is a note that I should right click to set-up or edit the compiler options but nothing happens.

This happens with this build of code-blocks but also with older ones (I tested it back until revision 10528) on win 8.1.
I have attached my default.conf

I hope this is just a bug between my ears so thanks for your tips.

Best regards,
                   Eckard.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: eckard_klotz on December 01, 2015, 04:18:15 pm
Hello again.

 In the meanwhile I have tested it on win 7 and there this problem does not occur.

Best regards,
                    Eckard.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: qtreez on December 01, 2015, 07:34:12 pm
Windows 7
#1
When CB is runned with privileged rights I can't open source files by drag and drop nor by context menu.
With context menu following message box is showed:
Quote
"Another instance of CB is running..."
edit:
not occuring when disable UAC.

#2 less annoying
#include<limits> vs #include <limits>
With first case (no whitespace) in editor, in context menu, option Open "filename_of_header.h" is not visible. Also with " ". limits header is only sample, not single case.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: eckard_klotz on December 01, 2015, 08:17:17 pm
Hello again.

After some searching I found the following post http://forums.codeblocks.org/index.php/topic,19196.msg131342.html#msg131342 (http://forums.codeblocks.org/index.php/topic,19196.msg131342.html#msg131342).

Thus I searched for the file "options_gcc.xml" and changed its extension from ".xml" to "._xml_". After this change the compiler-options for the gnu-compiler are visible again;

the attached zip-file contains the file "options_gcc.xml".

As "Sagaceil" i have duplicated the compiler configuration in  the compiler-settings to use a DW2 installation of the gnu compiler also. After copiing it I renamed it and changed the executables. I hope you will find some details about in the "default.conf" attached before.

Best regards,
                    Eckard.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: raynebc on December 01, 2015, 11:53:50 pm
Windows 7
#1
When CB is runned with privileged rights I can't open source files by drag and drop nor by context menu.
With context menu following message box is showed:
Quote
"Another instance of CB is running..."
edit:
not occuring when disable UAC.
This is a Windows limitation.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: oBFusCATed on December 02, 2015, 04:35:39 am
As "Sagaceil" i have duplicated the compiler configuration in  the compiler-settings to use a DW2 installation of the gnu compiler also. After copiing it I renamed it and changed the executables. I hope you will find some details about in the "default.conf" attached before.
Can you try to execute the same steps again and see if you can reproduce the problem?
Title: Re: The 21 November 2015 build (10595) is out.
Post by: eckard_klotz on December 02, 2015, 10:19:18 am
Hello oBFusCATed.

Sorry I tried but I failed.


Between every step I closed C::B and opened it again to check when the effect occurs. But nothing happened. Furthermore the new roaming folder contains no compilers folder animore.

It was long ago when I added the new build-suite, so it may be that an older release created the defect and since I didn't changed the compiler-options after that until now, I have not recognized what happened. But I think I have still nearly all older Nightlies. So If you know until which revision this changes result in an folder named compilers in User\AppData\Roaming I may try it out with that version.

Unfortunately after my yesterdays post I pressed the wrong button, when Windows asked me to install Win10, what means now I have no Win 8.1 animore. But after changing to Win10 the failure was still present and I renamed the file options_gcc.xml after installing Win10 to solve the problem.

To reproduce the failure I also tried some other reconfigurations of the compiler but also without reproducing the effect.
Sorry for being not helpful. But perhaps the analysis of my both files may give you a hint what kind of manipulation may be worth to try it out. In this case please tell me. 

Best regards,
                    Eckard.
 
Title: Re: The 21 November 2015 build (10595) is out.
Post by: Scr3amer on December 04, 2015, 12:07:18 am
Hello guys,

I am back for some news : I might confirm some bugs I suspected one month ago.

By the way, I had this compiler flags pane bug too with Win8.1 x64 Pro and the nightly of October. I did not play with compilers with the last nightly so no bug yet.

For the bugs I suspected, it concerns CC and MinGW auto set macros. I will say bug but maybe I am wrong and I just misused the IDE.
First Bug
I use MinGW 4.9.2 x86 dw2 POSIX (the one with Qt) but these bugs happens even with other versions (like the 4.7.1 TDM) and the build I use is 10595.
When I set a project to be C++11 in build options, i check the C++11 flag in the root build options.
But when I start to write __cpluplus and use CC, it says that the value is still 199711L so the c++11 features are not present in CC.
I tried to save the project, reparse it or even close and reload the project. The bug is still here.

The only workaround I found is to close C::B and restart the whole software to have the right value 201103L, the good macros conditions and have c++11 features in CC.

Second bug
When I use predefined macros, CC does not process properly the conditions.
It says for example that __WIN32__ = 1 or __WIN32 = 1
but when I write
#ifdef __WIN32
   foo();
#endif

The foo is still grayed, disabled. (of course the compilation works fine). But this time I did not find a 'good' workaround. I have to redefine the macro in custom defines tab, which is ugly :p ... And I have to close-reopen the project so that CC take in account the new defines.

Here are the screens for the C++11 issue but as you can see it is a more general bug with macro definitions, I will add screens for __WIN32 in another answer as we are limited to 2 screens per post :

Title: Re: The 21 November 2015 build (10595) is out.
Post by: Scr3amer on December 04, 2015, 12:08:40 am
The win32 bug screenshots, macros exist, have a value (which implies they are defined) but still grayed ...
Title: Re: The 21 November 2015 build (10595) is out.
Post by: Scr3amer on December 04, 2015, 12:12:11 am
I forgot something, there is another tiny bug but an easy workaround : sometimes the CC popup is cropped, but you just have to reopen it to fix that.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: Andy356 on December 08, 2015, 10:06:29 pm
Hi. I just updated to the latest nightly from Jens' Debian repo. The moment I did and ran Codeblocks, a message appeared saying:

One or more plugins were not loaded. This usually happens when a plugin is built for a different version of the Codeblocks SDK. Check the application log for more info.

List of failed plugins:

libwxsmithcontribitems.so

This is confusing, because both this and the last nightly state that the current SDK version is 1.29.0

What should I do? I don't know how to check the application log.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: linuser42 on December 10, 2015, 12:32:30 am
One or more plugins were not loaded. This usually happens when a plugin is built for a different version of the Codeblocks SDK. Check the application log for more info.

List of failed plugins:

libwxsmithcontribitems.so

I have the same warning when opening, I'm using builds from https://launchpad.net/~damien-moore/+archive/ubuntu/codeblocks (https://launchpad.net/~damien-moore/+archive/ubuntu/codeblocks), on Ubuntu MATE 15.10
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jens on December 10, 2015, 06:21:48 am
Hi. I just updated to the latest nightly from Jens' Debian repo. The moment I did and ran Codeblocks, a message appeared saying:

One or more plugins were not loaded. This usually happens when a plugin is built for a different version of the Codeblocks SDK. Check the application log for more info.

List of failed plugins:

libwxsmithcontribitems.so

This is confusing, because both this and the last nightly state that the current SDK version is 1.29.0

What should I do? I don't know how to check the application log.
Which revision is it ? 10611 ?
I will look into it as soon as possible.
Can you start C::B from a console with the -v switch, to get a more meaningful error-message ?
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jens on December 10, 2015, 07:50:01 am
[Which revision is it ? 10611 ?
I will look into it as soon as possible.
The actual revision on my server (10611) works fine on my jessie VM.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: linuser42 on December 10, 2015, 01:06:00 pm
Which revision is it ? 10611 ?
I will look into it as soon as possible.
Can you start C::B from a console with the -v switch, to get a more meaningful error-message ?

For me it's rev 10613 from https://launchpad.net/~damien-moore/+archive/ubuntu/codeblocks (https://launchpad.net/~damien-moore/+archive/ubuntu/codeblocks), on Ubuntu MATE 15.10 64 bit.

I started CB from the console with the -v, and got an additional pop up message

"libwxmathplot.so: cannot open shared object file: No such file or directory"
Title: Re: The 21 November 2015 build (10595) is out.
Post by: Andy356 on December 10, 2015, 01:18:01 pm
Mine is revision 10611. I ran codeblocks with -v, and I got an error window with the following messages:

17:35:10: Cannot load resources from 'memory:ThreadSearch.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:wxSmithAui.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:headerfixup.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:CppCheck.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:Cscope.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:Valgrind.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:DoxyBlocks.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:Cccc.zip#zip:*.xrc'.
17:35:11: Cannot load resources from 'memory:ToolsPlus.zip#zip:*.xrc'.
17:35:11: libwxmathplot.so: cannot open shared object file: No such file or directory
17:35:12: Cannot load resources from 'memory:EditorConfig.zip#zip:*.xrc'.

As a separate issue, I also ran into a glitch after compiling gcc 5.3.0 from source (I had 5.2.0 installed earlier) and selecting it in codeblocks. In the compiler options, I had the c++14 flag enabled, yet I got the 'c++0x_warning.h' error which tells me to enable c++11. Even enabling c++11 doesn't get rid of the message. How I got it to work: I ticked one flag (c++11/c++14) and then in 'other options', I wrote down the other flag, after which codeblocks prompts me to enable it. This causes BOTH the flags to be enabled (otherwise the flags are mutually exclusive) and then the compiler works.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: ollydbg on December 10, 2015, 03:11:52 pm
The win32 bug screenshots, macros exist, have a value (which implies they are defined) but still grayed ...
Hi, Scr3amer, I need to tell you that the "grayed" feature is not connect to the CC plugin. The former is implemented inside the scintilla control. There is a method we can supply the macros to scintilla control, so it can "gray" the code correctly, but it was not implemented yet. Also, there is a plugin called semantic hightlight, it has the features you like.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: MortenMacFly on December 10, 2015, 05:45:01 pm
Mine is revision 10611. I ran codeblocks with -v, and I got an error window with the following messages:
Did you forget to run the update script?
Title: Re: The 21 November 2015 build (10595) is out.
Post by: Andy356 on December 10, 2015, 09:57:00 pm
If you're referring to the package manager, 10611 is the latest revision available, from Jens' Debian repo in both the stable and testing pools (I just checked). Otherwise I don't know what you mean by update script.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jens on December 10, 2015, 10:56:22 pm
If you're referring to the package manager, 10611 is the latest revision available, from Jens' Debian repo in both the stable and testing pools (I just checked). Otherwise I don't know what you mean by update script.
I currently compile a version where this should be fixed.
As workaround, you can install the codeblocks-wxcontrib-dev-package.
Or wait for the new build (will need about two hours on my vserver, because I have to build four versions of C::B on limited resources).
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jsybeyond on December 11, 2015, 04:50:28 am
Hello, I want to learn about python. Can I wirte python codes on CB? And can I build and run python on CB?(Uh, maybe I should learn more about English.)
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jens on December 11, 2015, 06:05:45 am
If you're referring to the package manager, 10611 is the latest revision available, from Jens' Debian repo in both the stable and testing pools (I just checked). Otherwise I don't know what you mean by update script.
I currently compile a version where this should be fixed.
As workaround, you can install the codeblocks-wxcontrib-dev-package.
Or wait for the new build (will need about two hours on my vserver, because I have to build four versions of C::B on limited resources).
10621 for Debian and Fedora/Redhat/CentOS is out and should (now really)  work without the dev-packages.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: ollydbg on December 11, 2015, 07:17:24 am
Hello, I want to learn about python. Can I wirte python codes on CB? And can I build and run python on CB?(Uh, maybe I should learn more about English.)
write Python is OK in the editor of C::B, and please note there is a Python plugin which gives more IDE like features. See:
Python plugin - CodeBlocks (http://wiki.codeblocks.org/index.php/Python_plugin)
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jsybeyond on December 11, 2015, 01:24:10 pm
Hello, I want to learn about python. Can I wirte python codes on CB? And can I build and run python on CB?(Uh, maybe I should learn more about English.)
write Python is OK in the editor of C::B, and please note there is a Python plugin which gives more IDE like features. See:
Python plugin - CodeBlocks (http://wiki.codeblocks.org/index.php/Python_plugin)
Uh, how can I download and use it?
Title: Re: The 21 November 2015 build (10595) is out.
Post by: Andy356 on December 11, 2015, 02:49:39 pm
Thanks a lot! :) Mine just updated to revision 10621 and ran smoothly, just like before. Back to business. B|

On the other hand, the compiler options issue with gcc 5.3.0 is still present. I can't figure out whether it's a Codeblocks bug or something I did. The only thing I did differently from gcc 5.2.0, was adding --prefix=/opt instead of letting it default to /usr/local.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: ollydbg on December 13, 2015, 06:48:54 am
Hello, I want to learn about python. Can I wirte python codes on CB? And can I build and run python on CB?(Uh, maybe I should learn more about English.)
write Python is OK in the editor of C::B, and please note there is a Python plugin which gives more IDE like features. See:
Python plugin - CodeBlocks (http://wiki.codeblocks.org/index.php/Python_plugin)
Uh, how can I download and use it?
I don't know, I haven't used that. You should asked in that thread or you may build this plugin yourself under your OS.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: linuser42 on December 14, 2015, 05:44:28 pm
Everything works for me too after update (now 10623).
Title: Re: The 21 November 2015 build (10595) is out.
Post by: CuteAlien on December 17, 2015, 12:03:55 am
Could be another problem of me being on Debian (wx3.0 etc), but just in case - it seems F2 is no longer working correct. It hides the logs window but I can no longer shows it. For that I have to use the menu now. Not certain when this started (sry, hadn't used c::b for a while).
Title: Re: The 21 November 2015 build (10595) is out.
Post by: oBFusCATed on December 17, 2015, 12:08:36 am
I confirm this issue. You have to be in an editor for F2 to not work.
Can you post a ticket on sf.net about it?
Title: Re: The 21 November 2015 build (10595) is out.
Post by: CuteAlien on December 17, 2015, 01:31:40 am
OK, reported as bug ticket #273.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jens on December 17, 2015, 07:50:34 am
I confirm this issue. You have to be in an editor for F2 to not work.
Can you post a ticket on sf.net about it?
That seems also to be a wx3.0 (at least on linux) issue.
Might also be windowmanager related.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: oBFusCATed on December 17, 2015, 08:30:34 am
Yes, it is wx3.0 issue, I don't think it is window manager, because it works when there is no open editor. I'm using enlightenment 17.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: damorin on December 17, 2015, 03:09:11 pm
Hi,

did someone noticed the search/replace with Advanced Regexp is working only on first match ?

I'm doing a search with "([0-9]{1,3}) -" and replacing it with "". It's working fine for the first match but the next one up to the end the replacement is not done.

Also the matching pattern is not highlighted properly (the dash means highlighted):

    { "Input circuit group "                // 32 - STR_XXX_XXBBCCC
      "%-20s",

The bad thing is each time I tried to create a test file, it's working fine.

Running Win7/64-bit and svn 10595.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: linuser42 on January 20, 2016, 01:32:43 am
Latest build from https://launchpad.net/~damien-moore/+archive/ubuntu/codeblocks (https://launchpad.net/~damien-moore/+archive/ubuntu/codeblocks) says svn 0 ( previous was svn 10648).
Title: Re: The 21 November 2015 build (10595) is out.
Post by: vanechkav22 on January 29, 2016, 01:07:25 pm
Bug
In all nightly build, now im use 10595 for Windows, in batch build.

c:\CodeBlocks\codeblocks.exe -na -nd -ns my-workspace.workspace --build --target=Release   

after some time codeblocks sleep,  and build sleep, CPU use 0%

Helped expand main log GUI window, and mouse move on it - then code block continue build.

Reproduced on different windows 7,8,10 and different nightly build.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: MortenMacFly on January 29, 2016, 01:48:14 pm
Reproduced on different windows 7,8,10 and different nightly build.
Did you run it as a low-priority process/thread?
Title: Re: The 21 November 2015 build (10595) is out.
Post by: teto on January 30, 2016, 09:51:48 pm
Maybe not relevant  as I've been building from source but I can confirm that the F2 and shift+F2 work again. Now it's the right click that disappeared. It works for other apps but not codeblocks.
I am at: https://svn.code.sf.net/p/codeblocks/code/trunk@10747
Title: Re: The 21 November 2015 build (10595) is out.
Post by: oBFusCATed on January 30, 2016, 10:43:47 pm
f2/shift f2 doesn't work when the keybinder plugin is enabled and the focus is in the editor.
I've not yet found the reason why, but I'll do some day, because this is annoying.

I don't know about the context menu. Where do you click? What os and wx version are you using?
Title: Re: The 21 November 2015 build (10595) is out.
Post by: teto on January 31, 2016, 03:10:29 pm
I recompiled both wxwidget and cb and problem got away sorry for the noise.
Title: Re: The 21 November 2015 build (10595) is out.
Post by: jsybeyond on February 05, 2016, 08:11:58 am
I support CB!
Title: Re: The 21 November 2015 build (10595) is out.
Post by: gryphon on March 26, 2016, 12:34:03 pm
For a while now I am seeing this when trying to install from Jens debian repository (on Sid - I know not "supported" but it should be easy to address):
W: gpgv:/var/lib/apt/lists/partial/apt.jenslody.de_testing_dists_stretch_Release.gpg: The repository is insufficiently signed by key 748BC...<rest of key here>(weak digest)
Seems like using a stronger digest will resolve the issue.
See also: https://wiki.debian.org/Teams/Apt/Sha1Removal
Thanks!
gryphon
Title: Re: The 21 November 2015 build (10595) is out.
Post by: stahta01 on March 26, 2016, 04:03:26 pm
For a while now I am seeing this when trying to install from Jens debian repository (on Sid - I know not "supported" but it should be easy to address):
W: gpgv:/var/lib/apt/lists/partial/apt.jenslody.de_testing_dists_stretch_Release.gpg: The repository is insufficiently signed by key 748BC...<rest of key here>(weak digest)
Seems like using a stronger digest will resolve the issue.
See also: https://wiki.debian.org/Teams/Apt/Sha1Removal
Thanks!
gryphon

I saw the same message on Debian Testing for this repo and another repo after I updated some packages; I am guessing it was the apt packages that started the warning.

Tim S.